<?php	
	include('../../includes/db.php'); 
	include('_config.php');
?>
<div id="right_column">
<? adminBreadcrumbs($modulePath,$moduleTable,$moduleTitle,'add'); ?>

<div class="right_bg">
    <h3>Dodaj <? echo ucfirst($moduleItem); ?></h3>
    <div class="table">         

	<?php
    if($_POST[save]){ 	
        
        if(validateForm($formSettings, $_POST)){
        // validacja wymaganych pół	
            if(generateSql($moduleTable, $_POST, 'insert')){
                echo showNote("$moduleItem dodano poprawnie.",'success');
                unset($_POST);
            } else {
                echo showNote("Wystąpił błąd podczas zapisu do bazy.",'error');
            }		
            
        } else {
            echo showNote(validateForm($formSettings, $_POST, true),'error');
            // wyswietlanie bledow validacji
        }
    
    }
    ?>
    <form name="formAdd" enctype="multipart/form-data" action="" method="post">
    <input type="hidden" name="save" value="1" />
      <table width="100%" border="0">
        <? echo generateForm($formSettings, $_POST,'insert'); ?>
        <tr>
            <td></td>
            <td><p><input name="save" type="image" src="<? echo $basehttp; ?>/admin/gfx/buttons/button_dodaj.gif" style="border:none;" /></p></td>
        </tr>  
        </table>
    </form>

</div>
</div>
<div class="right_bottom"></div>
</div>
<? include($basepath.'/admin/templates/footer.php'); ?>